---
- name: install pacman packages (xorg and co)
  pacman:
    name:
      - xorg
      - xorg-xinit
      - xterm
      - xorg-xrandr
    state: present
  become: true

- name: install pacman packages (nvidia and co)
  pacman:
    name:
      - nvidia
      - nvidia-utils
      - nvidia-settings
      - lib32-nvidia-utils #32 bit libraries for steam
    state: present
  become: true

- name: run i3 setup
  include_tasks: i3.yml

- name: copy config files for background image
  copy:
    src: "{{ item }}"
    dest: "/home/{{ user }}/.{{ item }}"
  with_items:
    - xsession
    - fehbg

- name: configure gaming mouse
  include_tasks: mcmouse.yml
